"""Raw representations of every data type in the AWS IoTThingsGraph service.

See Also:
    `AWS developer guide for IoTThingsGraph
    <IoTThingsGraph>`_

This file is automatically generated, and should not be directly edited.
"""

from attr import attrib
from attr import attrs

from ..core import ATTRSCONFIG
from ..core import Resource
from ..core import ResourceProperties
from ..core import create_object_converter

__all__ = ["FlowTemplate", "FlowTemplateProperties"]


@attrs(**ATTRSCONFIG)
class FlowTemplateProperties(ResourceProperties):
    CompatibleNamespaceVersion = attrib(default=None)
    Definition = attrib(default=None)


@attrs(**ATTRSCONFIG)
class FlowTemplate(Resource):
    """A Flow Template for IoTThingsGraph.

    See Also:
        `AWS Cloud Formation documentation for FlowTemplate
        <http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-iotthingsgraph-flowtemplate.html>`_
    """

    RESOURCE_TYPE = "AWS::IoTThingsGraph::FlowTemplate"

    Properties: FlowTemplateProperties = attrib(
        factory=FlowTemplateProperties,
        converter=create_object_converter(FlowTemplateProperties),
    )
